For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
      • GETGet approval request settings
      • PATCHUpdate approval request
      • PATCHUpdate approval request settings
      • PATCHUpdate flag approval request
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewApprovals Beta

Update approval request settings

PATCH
/api/v2/approval-requests/projects/:projectKey/settings
PATCH
/api/v2/approval-requests/projects/:projectKey/settings
$curl -X PATCH https://app.launchdarkly.com/api/v2/approval-requests/projects/default/settings \
> -H "LD-API-Version: beta" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "environmentKey": "environmentKey",
> "resourceKind": "resourceKind",
> "autoApplyApprovedChanges": true,
> "bypassApprovalsForPendingChanges": false,
> "canApplyDeclinedChanges": true,
> "canReviewOwnRequest": false,
> "minNumApprovals": 1,
> "required": true,
> "requiredApprovalTags": [
> "require-approval"
> ],
> "serviceConfig": {},
> "serviceKind": "launchdarkly",
> "serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258"
>}'
1{}
Perform a partial update to approval request settings
Was this page helpful?
Previous

Update flag approval request

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired

Headers

LD-API-VersionenumRequired
Version of the endpoint.
Allowed values:

Request

Approval request settings to update
environmentKeystringRequired
resourceKindstringRequired
autoApplyApprovedChangesboolean or nullOptional
Automatically apply changes that have been approved by all reviewers. This field is only applicable for approval services other than LaunchDarkly.
bypassApprovalsForPendingChangesbooleanOptional
Whether to skip approvals for pending changes
canApplyDeclinedChangesbooleanOptional
Allow applying the change as long as at least one person has approved
canReviewOwnRequestbooleanOptional
Allow someone who makes an approval request to apply their own change
minNumApprovalsintegerOptional
Sets the amount of approvals required before a member can apply a change. The minimum is one and the maximum is five.
requiredbooleanOptional
If approvals are required for this environment
requiredApprovalTagslist of stringsOptional
Require approval only on flags with the provided tags. Otherwise all flags will require approval.
serviceConfigmap from strings to anyOptional

Arbitrary service-specific configuration

serviceKindstringOptional
Which service to use for managing approvals
serviceKindConfigurationIdstring or nullOptional

Optional integration configuration ID of a custom approval integration. This is an Enterprise-only feature.

Response

Successful response
environmentsmap from strings to objects

Environment-specific overrides.

_defaultobject
Configuration that controls how changes to a resource are gated by approvals.
_strictobject
Configuration that controls how changes to a resource are gated by approvals.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error